Upstream information

CVE-2023-41909 at MITRE

Description

An issue was discovered in FRRouting FRR through 9.0. bgp_nlri_parse_flowspec in bgpd/bgp_flowspec.c processes malformed requests with no attributes, leading to a NULL pointer dereference.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 3.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network Network
Attack Complexity Low High
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1215065 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
SUSE-Storage-7.1-2023-3762
SUSE Liberty Linux 8
  • frr >= 7.5.1-22.el8
  • frr-selinux >= 7.5.1-22.el8
Patchnames:
RHSA-2024:2981
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-3762
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-3762
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2023-3762
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Server Applications 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • frr >= 8.4-150500.4.8.1
  • frr-devel >= 8.4-150500.4.8.1
  • libfrr0 >= 8.4-150500.4.8.1
  • libfrr_pb0 >= 8.4-150500.4.8.1
  • libfrrcares0 >= 8.4-150500.4.8.1
  • libfrrfpm_pb0 >= 8.4-150500.4.8.1
  • libfrrospfapiclient0 >= 8.4-150500.4.8.1
  • libfrrsnmp0 >= 8.4-150500.4.8.1
  • libfrrzmq0 >= 8.4-150500.4.8.1
  • libmlag_pb0 >= 8.4-150500.4.8.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP5-2023-3709
SUSE Linux Enterprise High Performance Computing 15 SP6
SUSE Linux Enterprise Module for Server Applications 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
  • frr >= 8.4-150500.4.8.1
  • frr-devel >= 8.4-150500.4.8.1
  • libfrr0 >= 8.4-150500.4.8.1
  • libfrr_pb0 >= 8.4-150500.4.8.1
  • libfrrcares0 >= 8.4-150500.4.8.1
  • libfrrfpm_pb0 >= 8.4-150500.4.8.1
  • libfrrospfapiclient0 >= 8.4-150500.4.8.1
  • libfrrsnmp0 >= 8.4-150500.4.8.1
  • libfrrzmq0 >= 8.4-150500.4.8.1
  • libmlag_pb0 >= 8.4-150500.4.8.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP6 GA frr-8.4-150500.4.15.1
SUSE Linux Enterprise Server 15 SP3-LTSS
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-3762
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-3762
SUSE Manager Proxy 4.2
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-3762
SUSE Manager Retail Branch Server 4.2
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2023-3762
SUSE Manager Server 4.2
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-3762
openSUSE Leap 15.4
  • frr >= 7.4-150300.4.17.1
  • frr-devel >= 7.4-150300.4.17.1
  • libfrr0 >= 7.4-150300.4.17.1
  • libfrr_pb0 >= 7.4-150300.4.17.1
  • libfrrcares0 >= 7.4-150300.4.17.1
  • libfrrfpm_pb0 >= 7.4-150300.4.17.1
  • libfrrgrpc_pb0 >= 7.4-150300.4.17.1
  • libfrrospfapiclient0 >= 7.4-150300.4.17.1
  • libfrrsnmp0 >= 7.4-150300.4.17.1
  • libfrrzmq0 >= 7.4-150300.4.17.1
  • libmlag_pb0 >= 7.4-150300.4.17.1
Patchnames:
openSUSE-SLE-15.4-2023-3762
openSUSE Leap 15.5
  • frr >= 8.4-150500.4.8.1
  • frr-devel >= 8.4-150500.4.8.1
  • libfrr0 >= 8.4-150500.4.8.1
  • libfrr_pb0 >= 8.4-150500.4.8.1
  • libfrrcares0 >= 8.4-150500.4.8.1
  • libfrrfpm_pb0 >= 8.4-150500.4.8.1
  • libfrrospfapiclient0 >= 8.4-150500.4.8.1
  • libfrrsnmp0 >= 8.4-150500.4.8.1
  • libfrrzmq0 >= 8.4-150500.4.8.1
  • libmlag_pb0 >= 8.4-150500.4.8.1
Patchnames:
openSUSE-SLE-15.5-2023-3709
openSUSE Tumbleweed
  • frr >= 8.4-6.1
  • frr-devel >= 8.4-6.1
  • libfrr0 >= 8.4-6.1
  • libfrr_pb0 >= 8.4-6.1
  • libfrrcares0 >= 8.4-6.1
  • libfrrfpm_pb0 >= 8.4-6.1
  • libfrrospfapiclient0 >= 8.4-6.1
  • libfrrsnmp0 >= 8.4-6.1
  • libfrrzmq0 >= 8.4-6.1
  • libmlag_pb0 >= 8.4-6.1
Patchnames:
openSUSE-Tumbleweed-2024-13238


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 frr Released
SUSE Enterprise Storage 7.1 quagga Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 frr Released
SUSE Linux Enterprise High Performance Computing 15 SP5 quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 frr Released
SUSE Linux Enterprise High Performance Computing 15 SP6 quagga Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP5 frr Released
SUSE Linux Enterprise Module for Server Applications 15 SP5 quagga Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP6 frr Released
SUSE Linux Enterprise Module for Server Applications 15 SP6 quagga Not affected
SUSE Linux Enterprise Server 12 SP5 quagga Not affected
SUSE Linux Enterprise Server 15 SP5 frr Released
SUSE Linux Enterprise Server 15 SP5 quagga Not affected
SUSE Linux Enterprise Server 15 SP6 frr Released
SUSE Linux Enterprise Server 15 SP6 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 frr Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 frr Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 quagga Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 quagga Not affected
SUSE Manager Proxy 4.3 frr Released
SUSE Manager Proxy 4.3 quagga Not affected
SUSE Manager Retail Branch Server 4.3 frr Released
SUSE Manager Retail Branch Server 4.3 quagga Not affected
SUSE Manager Server 4.3 frr Released
SUSE Manager Server 4.3 quagga Not affected
openSUSE Leap 15.5 frr Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 frr Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS frr Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS frr Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 frr Released
SUSE Linux Enterprise High Performance Computing 15 SP4 quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS frr Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS frr Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS quagga Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 quagga Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 frr Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 quagga Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 frr Released
SUSE Linux Enterprise Module for Server Applications 15 SP4 quagga Not affected
SUSE Linux Enterprise Server 15 SP2 quagga Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS quagga Not affected
SUSE Linux Enterprise Server 15 SP3 frr Affected
SUSE Linux Enterprise Server 15 SP3 quagga Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS frr Released
SUSE Linux Enterprise Server 15 SP3-LTSS quagga Not affected
SUSE Linux Enterprise Server 15 SP4 frr Released
SUSE Linux Enterprise Server 15 SP4 quagga Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS frr Affected
SUSE Linux Enterprise Server 15 SP4-LTSS quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 frr Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 frr Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 quagga Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 quagga Not affected
SUSE CaaS Platform 4.0 quagga Not affected
SUSE Enterprise Storage 6 quagga Not affected
SUSE Enterprise Storage 7 quagga Not affected
SUSE Linux Enterprise Desktop 11 SP4 quagga Not affected
SUSE Linux Enterprise Desktop 12 SP2 quagga Not affected
SUSE Linux Enterprise Desktop 12 SP3 quagga Not affected
SUSE Linux Enterprise Desktop 12 SP4 quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS quagga Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS quagga Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS quagga Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS quagga Not affected
SUSE Linux Enterprise Module for Server Applications 15 quagga Not affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 quagga Not affected
SUSE Linux Enterprise Real Time 15 SP2 quagga Not affected
SUSE Linux Enterprise Real Time 15 SP3 frr Released
SUSE Linux Enterprise Real Time 15 SP3 quagga Not affected
SUSE Linux Enterprise Real Time 15 SP4 frr Affected
SUSE Linux Enterprise Real Time 15 SP4 quagga Not affected
SUSE Linux Enterprise Server 11 SP3 quagga Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS quagga Not affected
SUSE Linux Enterprise Server 11 SP4 quagga Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS quagga Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS quagga Not affected
SUSE Linux Enterprise Server 12 SP2 quagga Not affected
SUSE Linux Enterprise Server 12 SP2-BCL quagga Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS quagga Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS quagga Not affected
SUSE Linux Enterprise Server 12 SP3 quagga Not affected
SUSE Linux Enterprise Server 12 SP3-BCL quagga Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS quagga Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS quagga Not affected
SUSE Linux Enterprise Server 12 SP4 quagga Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS quagga Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS quagga Not affected
SUSE Linux Enterprise Server 15 quagga Not affected
SUSE Linux Enterprise Server 15 SP1 quagga Not affected
SUSE Linux Enterprise Server 15 SP1-BCL quagga Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS quagga Not affected
SUSE Linux Enterprise Server 15 SP2-BCL quagga Not affected
SUSE Linux Enterprise Server 15 SP3-BCL frr Affected
SUSE Linux Enterprise Server 15 SP3-BCL quagga Not affected
SUSE Linux Enterprise Server 15-LTSS quagga Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 15 quagga Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 quagga Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 quagga Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 quagga Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 quagga Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 quagga Not affected
SUSE Manager Proxy 4.0 quagga Not affected
SUSE Manager Proxy 4.1 quagga Not affected
SUSE Manager Proxy 4.2 frr Released
SUSE Manager Proxy 4.2 quagga Not affected
SUSE Manager Retail Branch Server 4.0 quagga Not affected
SUSE Manager Retail Branch Server 4.1 quagga Not affected
SUSE Manager Retail Branch Server 4.2 frr Released
SUSE Manager Retail Branch Server 4.2 quagga Not affected
SUSE Manager Server 4.0 quagga Not affected
SUSE Manager Server 4.1 quagga Not affected
SUSE Manager Server 4.2 frr Released
SUSE Manager Server 4.2 quagga Not affected
SUSE OpenStack Cloud 7 quagga Not affected
SUSE OpenStack Cloud 8 quagga Not affected
SUSE OpenStack Cloud 9 quagga Not affected
SUSE OpenStack Cloud Crowbar 8 quagga Not affected
SUSE OpenStack Cloud Crowbar 9 quagga Not affected
openSUSE Leap 15.3 frr Released
openSUSE Leap 15.4 frr Released


SUSE Timeline for this CVE

CVE page created: Tue Sep 5 10:04:43 2023
CVE page last modified: Sun Jun 16 11:50:33 2024